REST APIEnvironment
List Project Environment metadata
Lists write-only Environment variable metadata and runtime revisions. Values never appear in this response.
Authorization
ApiKey x-api-key<token>
Workspace-owned API key with per-resource permissions.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment"{ "variables": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "kind": "secret", "preview": true, "production": true, "purpose": "string", "required": true, "version": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "preview": { "revision": 0, "appliedRevision": 0, "stale": true }, "production": { "revision": 0, "publishedRevision": 0, "pending": true }}